<script setup lang="ts">
import type { UnitsTree } from "@/scripts/client-types";
import UnitsTreeNode from "@/components/units/UnitsTreeNode.vue";
import type { PropType } from "vue";

defineProps({
  tree: {
    type: Object as PropType<UnitsTree>,
    required: true,
  },
});
</script>

<template>
  <div class="treeview js-treeview pb-10 overflow-x-auto">
    <ul>
      <UnitsTreeNode :node="tree" class="mr-3"></UnitsTreeNode>
    </ul>
  </div>
</template>

<style scoped></style>
